# This is a snapshot of the BCEL trunk for FindBugs 3.0.

%global findbugsver 20140707svn1547656

Name:           findbugs-bcel
Version:        6.0
Release:        %mkrel 0.5.%{findbugsver}.2
Summary:        Byte Code Engineering Library for FindBugs

Group:          Development/Java
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-bcel/

# This archive was created with:
#   $ svn export http://svn.apache.org/repos/asf/commons/proper/bcel/trunk -r 1547656 bcel-6.0
#   $ tar -zcf bcel-20140707svn1547656.tgz bcel-6.0
Source0:        bcel-%{findbugsver}.tgz
Source1:        http://central.maven.org/maven2/com/google/code/findbugs/bcel-findbugs/%{version}/bcel-findbugs-%{version}.pom

BuildRequires:  java-devel, jpackage-utils
Requires:       java-headless, jpackage-utils

BuildArch:      noarch

%description
This is a snapshot of Apache's Byte Code Engineering Library (BCEL) for use
with FindBugs 3.0.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n bcel-%{version}

%build
mkdir classes
find src/main/java -type f -name '*.java' | \
xargs javac -g -d classes -source 1.5 -encoding ISO8859-1
cd classes
jar cf findbugs-bcel.jar org
cd ..

mkdir javadoc
find src/main/java -type f -name '*.java' | xargs javadoc -sourcepath src/main/java \
  -classpath classes -source 1.5 -encoding ISO8859-1 -d javadoc -Xdoclint:none

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p classes/findbugs-bcel.jar $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "com.google.code.findbugs:bcel"

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -a javadoc $RPM_BUILD_ROOT%{_javadocdir}/findbugs-bcel

%pretrans javadoc -p <lua>
path = "%{_javadocdir}/%{name}"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%doc LICENSE.txt NOTICE.txt
%{_javadocdir}/findbugs-bcel*




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 6.0-0.5.20140707svn1547656.2.mga6
+ Revision: 982327
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 6.0-0.5.20140707svn1547656.1.mga6
+ Revision: 977181
- sync package findbugs-bcel with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 6.0-0.1.20140707svn1547656.1.mga5
+ Revision: 806704
- Sync with Fedora 21 (update to new snapshot)

* Wed Oct 15 2014 umeabot <umeabot> 5.3-0.1.20130910svn1521566.3.mga5
+ Revision: 743298
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3-0.1.20130910svn1521566.2.mga5
+ Revision: 679196
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 5.3-0.1.20130910svn1521566.1.mga4
+ Revision: 565034
- New version

* Fri Oct 18 2013 umeabot <umeabot> 5.2-0.1.3.8.8.mga4
+ Revision: 505176
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 5.2-0.1.3.8.7.mga3
+ Revision: 352481
- Clean spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 21 2011 dmorgan <dmorgan> 1.3.9-1.mga2
+ Revision: 157165
- Fix group

  + gil <gil>
    - added new maven2 poms

* Mon Jun 27 2011 gil <gil> 1.3.9-0.mga2
+ Revision: 114814
- imported package findbugs-bcel


* Mon Jun 27 2011 gil <gil> 1.3.9-0.%%mkrel
- initial rpm